Subject: [alpine-devel] [PATCH 1/3] testing/py-backports.ssl_match_hostname: new aport

From: Peter Bui <[email-masked]>
Date: Sun, 24 Aug 2014 01:38:00 -0500

https://bitbucket.org/brandon/backports.ssl_match_hostname
The ssl.match_hostname() function from Python 3.4 (required for
Tornadoweb)
---
 testing/py-backports.ssl_match_hostname/APKBUILD | 41 ++++++++++++++++++++++++
 1 file changed, 41 insertions(+)
 create mode 100644 testing/py-backports.ssl_match_hostname/APKBUILD

diff --git a/testing/py-backports.ssl_match_hostname/APKBUILD b/testing/py-backports.ssl_match_hostname/APKBUILD
new file mode 100644
index 0000000..de504da
--- /dev/null
+++ b/testing/py-backports.ssl_match_hostname/APKBUILD
@@ -0,0 +1,41 @@
+# Contributor: Peter Bui <[email-masked]>
+# Maintainer:
+pkgname=py-backports.ssl_match_hostname
+_pkgname=backports.ssl_match_hostname
+pkgver=3.4.0.2
+pkgrel=0
+pkgdesc="The ssl.match_hostname() function from Python 3.4"
+url="https://bitbucket.org/brandon/backports.ssl_match_hostname"
+arch="noarch"
+license="PSF"
+depends="python"
+depends_dev="py-setuptools"
+makedepends="$depends_dev"
+install=""
+subpackages=""
+source="https://pypi.python.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-${pkgver}.tar.gz"
+
+_builddir="$srcdir"/$_pkgname-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	python setup.py build || return 1
+}
+
+package() {
+	cd "$_builddir"
+	python setup.py install --prefix=/usr --root="$pkgdir" --optimize=1 || return 1
+}
+
+md5sums="788214f20214c64631f0859dc79f23c6  backports.ssl_match_hostname-3.4.0.2.tar.gz"
+sha256sums="07410e7fb09aab7bdaf5e618de66c3dac84e2e3d628352814dc4c37de321d6ae  backports.ssl_match_hostname-3.4.0.2.tar.gz"
+sha512sums="7e6033afbb5298a5eaafe91c3e2f7ba583706977826cc9441c9926a81b945714be95963f0261f88f4cb5df56673ca231e528cecbe84dff9e422fd11819842985  backports.ssl_match_hostname-3.4.0.2.tar.gz"
-- 
2.1.0

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---